{% extends "app/layout.html" %}

{% block content %}
<script type="text/javascript">
    $("#myprofile").addClass("active");
</script>

    <div id="hold10" style="display:none;">
        <h3>You have not been mapped to a known Market Actor.<br>Please contact the Marketplace administrator.</h3>
    </div>
    <div id="hold11" style="display:none;">
        <div class="col-sm-12 col-md-12 col-lg-12 col-xs-12">
            <section role="region">
                <h3>My profile</h3>
                <h3>
                    <small>View and update personal details</small>
                </h3>
                <hr>

                <form action="#" class="form-horizontal" method="post" id="profileForm" name="profileForm" role="form"
                      onsubmit="javascript: return false;" style="margin-left: 40px;">
                    <!--Account Information-->
                    <fieldset id="account-info">
                        <div class="personal-info-box">

                            <div class="preview-personal-info " style="display: inline-block; width: 400px; margin-top: 40px;">
                                <!-- Non editable mode -->
                                {% if error %}
                                    <div class="form-group">
                                        <h6 class="label label-danger">{{ error | safe }}</h6>
                                    </div>
                                {% endif %}

                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                        <label class="pull-right"><strong>ID</strong></label>
                                    </div>
                                    <div class="col-md-8 col-sm-8 col-lg-4 col-xs-12" title="Your ID">
                                        <span id="preview_id"></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                        <label class="pull-right"><strong>First name</strong></label>
                                    </div>
                                    <div class="col-md-8 col-sm-8 col-lg-4 col-xs-12" title="Your first name">
                                        <span id="preview_name"></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                        <label class="pull-right"><strong>Last name</strong></label>
                                    </div>
                                    <div class="col-md-9 col-sm-5 col-lg-4 col-xs-12" title="Your last name">
                                        <span id="preview_lastname"></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                        <label class="pull-right "><strong>Company Name</strong></label>
                                    </div>
                                    <div class="col-md-9 col-sm-5 col-lg-4 col-xs-12" title="Your company brandname">
                                        <div id="hold1" style="display:none;">
                                            <span id="preview_company"></span>
                                        </div>
                                        <div id="hold2" style="display:none;">
                                            <label class="label label-info" id="preview_company"
                                                   style="line-height:inherit">Not available</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                        <label class="pull-right"><strong>Email account</strong></label>
                                    </div>
                                    <div class="col-md-9 col-sm-5 col-lg-4 col-xs-12"
                                         title="Your registered email acccount">
                                        <div id="hold3" style="display:none;">
                                            <span id="preview_email"></span>
                                        </div>
                                        <div id="hold4" style="display:none;">
                                            <label class="label label-info" id="preview_email"
                                                   style="line-height:inherit">Not available</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                        <label class="pull-right"><strong>Phone number</strong></label>
                                    </div>
                                    <div class="col-md-9 col-sm-5 col-lg-4 col-xs-12"
                                         title="Your registered phone number">
                                        <div id="hold5" style="display:none;">
                                            <span id="preview_phone"></span>
                                        </div>
                                        <div id="hold6" style="display:none;">
                                            <label class="label label-info" id="preview_phone"
                                                   style="line-height:inherit">Not available</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                        <label class="pull-right"><strong>VAT number</strong></label>
                                    </div>
                                    <div class="col-md-9 col-sm-5 col-lg-4 col-xs-12" title="Your VAT number">
                                        <div id="hold7" style="display:none;">
                                            <span id="preview_vat"></span>
                                        </div>
                                        <div id="hold8" style="display:none;">
                                            <label class="label label-info" id="preview_vat"
                                                   style="line-height:inherit">Not available</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                        <label class="pull-right"><strong>Marketplace role</strong></label>
                                    </div>
                                    <div class="col-md-9 col-sm-5 col-lg-4 col-xs-12" title="Your role in Marketplace">
                                        <span id="preview_role"></span>
                                    </div>
                                </div>
                                <div id="holder90" style="display:none;">
                                    <div class="form-group">
                                        <div class="col-sm-2 col-md-2 col-lg-7 col-xs-12">
                                            <label class="pull-right"><strong>Selected DSO</strong></label>
                                        </div>
                                        <div class="col-md-9 col-sm-5 col-lg-4 col-xs-12"
                                             title="Your role in Marketplace">
                                            <span id="dso"></span>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="editable-personal-info hidden" style="display: inline-block; width: 400px; margin-top: 40px;">
                                <div class="form-group ">
                                    <div class="col-sm-2 col-md-2 col-lg-5 col-xs-12">
                                        <label class="pull-right control-label" for="rg_name"><strong>First
                                            name</strong>
                                            <small class="text-danger">*</small>
                                        </label>
                                    </div>
                                    <div class="col-md-5 col-sm-5 col-lg-6 col-xs-12" title="Insert your name">
                                        <input type="text" class="form-control" name="rg_name" id="rg_name"
                                               value="" autocomplete="off" maxlength="45"
                                               placeholder="enter your name" autofocus/>
                                    </div>
                                    <div class="col-xs-6 col-sm-5 col-md-5">
                                        <label class="label control-label label-danger pull-left hidden"
                                               id="rg_name_info">Type at least 2 characters</label>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-5 col-xs-12">
                                        <label class="pull-right control-label" for="rg_lastname"><strong>Last
                                            name</strong>
                                            <small class="text-danger">*</small>
                                        </label>
                                    </div>
                                    <div class="col-md-5 col-sm-5 col-lg-6 col-xs-12">
                                        <input type="text" class="form-control" name="rg_lastname" id="rg_lastname"
                                               value="" autocomplete="off" maxlength="45"
                                               placeholder="enter your lastname"/>
                                    </div>
                                    <div class="col-xs-6 col-sm-3 col-md-3">
                                        <label class="label pull-left label-danger hidden" id="rg_lastname_info">Type at
                                            least 2 characters</label>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-5 col-xs-12">
                                        <label class="pull-right control-label" for="rg_company"><strong>Company
                                            Name</strong>
                                            <small class="text-danger">*</small>
                                        </label>
                                    </div>
                                    <div class="col-md-5 col-sm-5 col-lg-6 col-xs-12" title="Insert your name">
                                        <input type="text" class="form-control" name="rg_company" id="rg_company"
                                               value="" autocomplete="off" maxlength="45"
                                               placeholder="enter your company brand name" autofocus/>
                                    </div>
                                    <div class="col-xs-6 col-sm-3 col-md-3">
                                        <label class="label control-label label-danger pull-left hidden"
                                               id="rg_company_info">Type at least 2 characters</label>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-5 col-xs-12">
                                        <label class="pull-right control-label" for="rg_email"><strong>Email
                                            account</strong>
                                            <small class="text-danger">*</small>
                                        </label>
                                    </div>
                                    <div class="col-md-5 col-sm-5 col-lg-6 col-xs-12">
                                        <input type="text" class="form-control" name="rg_email" id="rg_email"
                                               value="" autocomplete="off" maxlength="45"
                                               placeholder="enter a valid email account"/>
                                    </div>
                                    <div class="col-xs-6 col-sm-3 col-md-3">
                                        <label class="label pull-left label-danger hidden" id="rg_email_info"></label>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-5 col-xs-12">
                                        <label class="pull-right control-label" for="rg_mobile"><strong>Mobile
                                            phone</strong>
                                            <small class="text-danger">*</small>
                                        </label>
                                    </div>
                                    <div class="col-md-5 col-sm-5 col-lg-6 col-xs-12">
                                        <input type="tel" class="form-control form-control-static" name="rg_mobile"
                                               id="rg_mobile" value="" autocomplete="off"
                                               maxlength="15" placeholder="enter your phone"/>
                                    </div>
                                    <div class="col-xs-6 col-sm-3 col-md-3">
                                        <label class="label pull-left label-danger hidden" id="rg_mobile_info">Type at
                                            least 10 digits</label>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-5 col-xs-12">
                                        <label class="pull-right control-label" for="rg_vat"><strong>VAT number</strong>
                                            <small class="text-danger">*</small>
                                        </label>
                                    </div>
                                    <div class="col-md-5 col-sm-5 col-lg-6 col-xs-12">
                                        <input type="text" class="form-control" name="rg_vat" id="rg_vat"
                                               value="" autocomplete="off" maxlength="45"
                                               placeholder="enter your VAT"/>
                                    </div>
                                    <div class="col-xs-6 col-sm-3 col-md-3">
                                        <label class="label pull-left label-danger hidden" id="rg_vat_info">Enter your
                                            VAT</label>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-lg-5 col-xs-12">
                                        <label class="pull-right control-label" for="rg_actor_type"><strong>Marketplace
                                            role</strong>
                                            <small class="text-danger">*</small>
                                        </label>
                                    </div>
                                    <div class="col-md-5 col-sm-5 col-lg-6 col-xs-12">
                                        <select class="form-control" name="rg_actor_type" id="rg_actor_type">
                                        </select>
                                    </div>
                                    <div class="col-xs-6 col-sm-3 col-md-3">
                                        <label class="label pull-left label-danger hidden" id="rg_actor_type_info">Select
                                            a type</label>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-sm-2 col-md-2 col-xs-12"></div>
                                    <div class="col-md-6 col-sm-6 col-lg-6 col-xs-12" style="font-size:14px">
                                        <label class="text-default"><span class="text-danger">*</span> Mandatory fields</label>
                                    </div>
                                </div>

                            </div>

                            <div id="mplace_toolbar" style="margin-bottom:10px">
                                <button id="slctbtn" type="button" class="btn btn-default"  onclick="selectMplaces();">
                                    <span class="glyphicon glyphicon-ok" style="vertical-align: initial!important"></span> Leave Marketplaces
                                </button>
                            </div>
                            <div style="display: inline-block; margin-right: 40px; float: right;">
                                <table
                                    id="mplace_table"
                                    class="table"
                                    data-toolbar="#mplace_toolbar"
                                    data-pagination="true"
                                    data-page-list="[10, 25, 50, 100, 500]"
                                    data-show-toggle="false"
                                    data-show-columns="true"
                                    data-card-view="false"
                                    data-click-to-select="false"
                                    data-single-select="false"
                                    data-url='x'
                                    data-sort-order="asc"
                                    data-show-export="true">
                                    <thead>
                                        <tr>
                                            <th class="th th-inner" data-sortable="false"  data-align="center" data-formatter="setMarketFormatter" data-field="id">Marketplace</th>
                                            <th class="th th-inner" data-sortable="false" data-align="center"  data-field="mplace_type">Marketplace Type</th>
                                            <th class="th th-inner" data-sortable="false" data-align="center"  data-field="timeframe">Timeframe</th>
                                            <th data-field="state" data-checkbox="true" data-visible="true"></th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>

                            <!--edit area-->

                        <div id="personal-toolbar" style="display: inline-block; width: 400px; margin-top: 10px; margin-left: 30px;">
                                <div class="row" id="edit">
                                    <div class="col-md-4 col-sm-4 col-lg-12 text-center">
                                        <button type="button" class="btn btn-info btn-sm btn-catalyst" id="edit-personal-btn"
                                                name="edit-personal-btn" role="button"><i
                                                class="glyphicon glyphicon-edit"></i> Edit
                                        </button>
                                    </div>
                                </div>
                                <div class="row hidden" id="save">
                                    <div class="col-md-3 col-sm-3 col-lg-3 text-center col-lg-offset-2">
                                        <button type="reset" class="btn btn-default btn-sm btn-catalyst" id="reset-personal-btn"
                                                name="reset-personal-info" role="button"> Cancel
                                        </button>
                                    </div>
                                    <div class="col-md-2 col-sm-2 col-lg-2 text-center col-lg-offset-2">
                                        <button type="button" class="btn btn-info btn-sm btn-catalyst" id="save-personal-btn"
                                                name="save-personal-info-btn" role="button"><i
                                                class="glyphicon glyphicon-saved"></i> Save
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </fieldset>
                </form>
            </section>
        </div>
    </div>
{% endblock %}
{% block scripts %}
    {% load staticfiles %}
    <script type="text/javascript">var token = "{{token}}";
    var actor_id = "{{request.session.actor_id}}";
    var MPLACE_URL = "{{ MPLACE_URL }}";
    var GET_PROFILE_URL = "{{ GET_PROFILE_URL }}";
    var UPDATE_PROFILE_URL = "{{ UPDATE_PROFILE_URL }}";
    var ASSIGN_ACTORS_URL = "{{ ASSIGN_ACTORS_URL }}";
    var USERNAME_TO_ACTOR = "{{ USERNAME_TO_ACTOR }}";
    var ACTOR_URL = "{{ ACTOR_URL }}";
    var all_places;
    var user_markets = JSON.parse(JSON.parse("{{ user_markets | safe | escapejs }}"));
    </script>
    <script type="text/javascript">var username = "{{username}}";</script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table/extensions/export/bootstrap-table-export.min.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table/extensions/export/tableExport.js' %}" ></script>
    <script src="{% static 'app/scripts/jquery.validate.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/cookies.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/profile_details.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/actor/getProfile.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/actor/profile.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/utilities.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/actor/user-validator.js' %}"></script>
{% endblock %}